// ==============================
// Custom shader for the map Hope
// Created 2000-02-15
// Magnus "Spiike" Rosberg
// =============================

// ================
// Teleporter frame
// ================
textures/custom/hope-teleporter
{
	qer_editorimage textures/custom/tower_front_hope.tga
	{
		map textures/custom/tower_front_hope.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/custom/proto_zzzt_hope.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}


// ================
// Teleporter sfx
// ================
textures/custom/hope_teleporter
{
	qer_editorimage textures/custom/hope_teleporter.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull twosided
	{
		map textures/custom/hope_teleporter.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 1 -1.5
	}
	{
		map textures/custom/hope_teleporter.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll -2 0.5
	}
	{
		map textures/custom/hope_teleporter.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 1.5 1
	}


}


// ================
// Energyfield svagt
// ================
textures/custom/hope_efield_svagt
{
	qer_editorimage textures/custom/hope_efield_svagt.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull twosided
	{
		map textures/custom/hope_efield_svagt.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.25 0 0.25
	}
}

// ================================
// Evil window tall glow (killblock)
// ================================
textures/custom/evil_glow_tall

{
	qer_editorimage textures/zzz/qer_128x512.tga
	
	q3map_lightimage textures/gothic_wall/window_evil6a_glow.tga
	q3map_surfacelight 50
	//light 1

	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map textures/custom/window_evil_killblock.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/gothic_wall/window_evil6a_glow.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	
}